Bug 1951585 - enterprise-pod fails to build
Summary: enterprise-pod fails to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.8.0
Assignee: Joep van Delft
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-20 14:04 UTC by Joep van Delft
Modified: 2021-07-27 23:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:02:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 685 0 None open Bug 1951585: Addresses build error pause 2021-04-20 14:06:05 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:02:26 UTC

Description Joep van Delft 2021-04-20 14:04:01 UTC
Description of problem:
Image fails to build in ART pipeline with /usr/bin/ld: cannot open output file bin/pause: No such file or directory

Version-Release number of selected component (if applicable):


How reproducible:
podman build -f Dockerfile.Rhel 

Steps to Reproduce:
1.
2.
3.

Actual results:
Error

Expected results:
Image

Additional info:

Comment 2 Peter Hunt 2021-04-21 14:28:03 UTC
it seems you have a handle on this, so I am officially assigning you the BZ :)

Comment 4 Sunil Choudhary 2021-05-05 08:14:11 UTC
Confirmed with Joep, builds are now successful.

Comment 7 errata-xmlrpc 2021-07-27 23:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.